Intelcorp Sound Cards & Media Devices Driver

  1. Intelcorp Sound Cards & Media Devices Driver
Intelcorp Sound Cards & Media Devices Driver

Padarsey PCIe Sound Card, 5.1 Internal Sound Card for PC Windows 7 with Low Profile Bracket, 3D Stereo PCI-e Audio Card, CMI8738 Chip 32/64 Bit Sound Card PCI Express Adapter 179 CMI 8738 Chip $17. The IntelĀ® Driver & Support Assistant helps keeps your system up-to-date by detecting when updates are available.

Intelcorp Sound Cards & Media Devices DriverIntelcorp Sound Cards & Media Devices driver

Intelcorp Sound Cards & Media Devices Driver

Well Im not sure if this should be in the newbie section but anyway.
I use FC3 with a modifyed kernel so i can use my wireless.
my sound wont work, in windows it says that i have 'SoundMax integrated digital audio'
and linux /sbin/lspci gives me.
00:1f.5 Multimedia audio controller: Intel Corp. 82801EB/ER (ICH5/ICH5R) AC'97 Audio Controller (rev 02)
When searching for answers i found that almost all of them pointed at alsa.
i downloaded alsa-driver-0.9.1adi and did the ./configure as they told me in the readme, after that i did make install and got
[[email protected] alsa-driver-0.9.1adi]# make install
make[1]: Entering directory `/home/firedance/Linux/alsa-driver-0.9.1adi/acore'
gcc -D__KERNEL__ -DMODULE=1 -I/home/firedance/Linux/alsa-driver-0.9.1adi/include -I/lib/modules/2.6.9-1.681_FC3.stk16/build/include -O2 -mpreferred-stack-boundary=2 -march=i686 -DLINUX -Wall -Wstrict-prototypes -fomit-frame-pointer -Wno-trigraphs -O2 -fno-strict-aliasing -fno-common -pipe -DALSA_BUILD -DEXPORT_SYMTAB -c hwdep.c
In file included from /home/firedance/Linux/alsa-driver-0.9.1adi/include/adriver.h:40,
from /home/firedance/Linux/alsa-driver-0.9.1adi/include/sound/driver.h:43,
from ../alsa-kernel/core/hwdep.c:22,
from hwdep.c:1:
/usr/include/linux/modversions.h:1:2: #error Modules should never use kernel-headers system headers,
/usr/include/linux/modversions.h:2:2: #error but rather headers from the appropriate kernel package.
/usr/include/linux/modversions.h:3:2: #error Change -I/usr/src/linux/include (or similar) to
/usr/include/linux/modversions.h:4:2: #error -I/lib/modules/$(uname -r)/build/include
/usr/include/linux/modversions.h:5:2: #error to build against the currently-running kernel.
In file included from /home/firedance/Linux/alsa-driver-0.9.1adi/include/adriver.h:41,
from /home/firedance/Linux/alsa-driver-0.9.1adi/include/sound/driver.h:43,
from ../alsa-kernel/core/hwdep.c:22,
from hwdep.c:1:
/home/firedance/Linux/alsa-driver-0.9.1adi/include/sndversions.h:3:29: linux/modsetver.h: No such file or directory
make[1]: *** [hwdep.o] Error 1
make[1]: Leaving directory `/home/firedance/Linux/alsa-driver-0.9.1adi/acore'
make: *** [compile] Error 1
Anyone of you know what to do or if im going in the right direction?